﻿# ApliCezihWsClient

## Primjeri pokretanja programa

### Parametri programa

Obavezan parametar je -s (station_name).

Možemo promijeniti logiranje:

    -n (default 3, "info") količina zapisa
    -l folder (primjer "C:\Aplikacija\logs") u koji se smještaju log datoteke

Folder s podacima (u kojem su dl3 datoteke) navodimo:

    -d parametrom (primjer "C:\Aplikacija\data")

NOTE: program koristi subfolder (naziva) "ApliCezihWsClient" za smještaj *svojih* datoteka.

Komunikaciju s ApliManagerom mijenjamo parametrima:
    
    -a (default 20140) je port na kojem radi ApliManager
    -m (default 20145) je port na kojem radi ApliCezihWsClient
    -P nalaže ApliCezihWsClientu da NE provjerava odgovara li ApliManager na ping poruku

Parametre umetnute (nosioca) kartice (smartcard) možemo navesti parametrima:

     -I smartcard id
     -M user mbo/oib

Ako se radi bez kartice, nema parametra -I (postavlja se mbo/oib -M parametrom).

Parametri za komunikaciju s RabbitMq serverom:

    -c definira prefix naziva config (dl3) datoteke

Parametar za envirnoment (certifikacija ili produkcija):

    -e c|p

Parametri za komunikaciju s Cezih web servisima:

    -u URL Cezih web servisa
        default na produkciji https://portal.cezih.hr/CezihWs/ws
        default na certifikaciji https://portal.cezih.hr/CezihWsTest/ws
    
    -F minimalno vrijeme koliko se ne smiju brisati datoteke (default 7d, tj 7 dana)
    
    -T upload transfer rate Kbps (default 256)
        na osnovu veličine datoteke i transfer rate postavlja timeout

    -X max_content_size (default 50)
        max veličina contenta (u KB)
        ako je 0, cijeli content šalje se u jednoj RacIzv2oeHeader poruci

### Pokretanje programa na produkciji

Primjeri su:

ApliCezihWsClient -s x-dario-w10

ApliCezihWsClient -s x-dario-w10 -d "C:\Aplikacija\data" -c 192_168_104_7

### Pokretanje programa (test) na certifikaciji

Navodimo -ec (environment certifikacija).

Primjeri su:

ApliCezihWsClient -s x-dario-w10 -n4 -l "C:\Aplikacija\logs" -ec -a 20145 -d "C:\Aplikacija\data" -c 192_168_104_7 -m 20140 -I 0012692 -M 990001750 -N "VJERA" -S "TES_SES46 PTIČAR"

ApliCezihWsClient -s x-dario-w10 -n3 -l "C:\Aplikacija\logs" -ec -a 20145 -d "C:\Aplikacija\data" -c 192_168_104_7 -m 20140 -I 0012692 -M 990001750 -N "VJERA" -S "TES_SES46 PTIČAR" -P -A -F 7d -T256
