﻿# ApliHzzoWsClient

## Primjeri pokretanja programa

### Parametri programa

Obavezan parametar je -s (station_name).

Možemo promijeniti logiranje:

    -n (default 3, "info") količina zapisa
    -l folder (primjer "C:\Aplikacija\logs") u koji se smještaju log datoteke

Folder s podacima (u kojem su dl3 datoteke) navodimo:

    -d parametrom (primjer "C:\Aplikacija\data")

Komunikaciju s ApliManagerom mijenjamo parametrima:
    
    -a (default 20144) je port na kojem radi ApliManager
    -m (default 20142) je port na kojem radi ApliHzzoWsClient
    -P nalaže ApliHzzoWsClient-u da NE provjerava odgovara li ApliManager na ping poruku

Parametre umetnute (nosioca) kartice (smartcard) možemo navesti parametrima:

     -I smartcard id
     -M user mbo/oib

Ako se radi bez kartice, nema parametra -I (postavlja se mbo -M parametrom).

Parametri za komunikaciju s RabbitMq serverom:

    -c definira prefix naziva config (dl3) datoteke

Parametar za envirnoment (produkcija ili certifikacija):

    -e c|p

Parametri za komunikaciju s HZZO web servisima:

    -u URL HZZO OsigInfoweb servisa
        default na produkciji https://ws.cezih.hr:6443/osiginfo-3
        default na certifikaciji https://certws.cezih.hr:40443/osiginfo-3
    -o URL InfoOthers servisa
        default na produkciji https://servis.hzzo.hr/InfoOthers/InfoOthers.svc
        default na certifikaciji https://servistest.hzzo.hr/InfoOthers/InfoOthers.svc


### Pokretanje programa na produkciji

Primjeri su:

ApliHzzoWsClient -s x-dario-w10

ApliHzzoWsClient -s x-dario-w10 -d "C:\Aplikacija\data" -c 192_168_104_7

### Pokretanje programa (test) na certifikaciji

Navodimo -ec (environment certifikacija).

Primjeri su:

ApliHzzoWsClient -s x-dario-w10 -n4 -l "C:\Aplikacija\logs" -ec -a 20144 -d "C:\Aplikacija\data" -c 192_168_104_7 -m 20142 -I 0012692 -M 990001750 -N "VJERA" -S "TES_SES46 PTIČAR"

ApliHzzoWsClient -s x-dario-w10 -n3 -l "C:\Aplikacija\logs" -ec -a 20144 -d "C:\Aplikacija\data" -c 192_168_104_7 -m 20142 -I 0012692 -M 990001750 -N "VJERA" -S "TES_SES46 PTIČAR" -P
