﻿# ApliCezihClient

## Primjeri pokretanja programa

### Parametri programa

Obavezan parametar je -s (station_name).

Možemo promijeniti logiranje:

    -n (default 3, "info") količina zapisa
    -l folder (primjer "C:\Aplikacija\logs") u koji se smještaju log datoteke

Folder s podacima (u kojem su dl3 datoteke) navodimo:

    -d parametrom (primjer "C:\Aplikacija\data")

NOTE: program koristi subfolder (naziva) "ApliCezihClient" za smještaj *svojih* datoteka.

Komunikaciju s ApliManagerom mijenjamo parametrima:

    -a (default 20143) je port na kojem radi ApliManager
    -m (default 20140) je port na kojem radi ApliCezihClient
    -P nalaže ApliCezihClientu da NE provjerava odgovara li ApliManager na ping poruku

Parametre umetnute (nosioca) kartice (smartcard) možemo navesti parametrima:

     -I smartcard id
     -M user mbo/oib

Ako se radi bez kartice, nema parametra -I (postavlja se mbo/oib -M parametrom).

Parametri za komunikaciju s RabbitMq serverom:

    -c definira prefix naziva config (dl3) datoteke
    -t (**for future use**) definira da se koristi TLS u komunikaciji s RabbitMq serverom

### Pokretanje programa na produkciji

Primjeri su:

ApliCezihClient -s x-dario-w10

ApliCezihClient -s x-dario-w10 -d "C:\Aplikacija\data" -c 192_168_104_7

### Pokretanje programa (test) na certifikaciji

Navodimo -ec (environment certifikacija).

Primjeri su:

ApliCezihClient -s x-dario-w10 -n4 -l "C:\Aplikacija\logs" -ec -a 20143 -d "C:\Aplikacija\data" -c 192_168_104_7 -m 20140 -I 0012692 -M 990001750 -N "VJERA" -S "TES_SES46 PTIČAR"

ApliCezihClient -s x-dario-w10 -n3 -l "C:\Aplikacija\logs" -ec -a 20143 -d "C:\Aplikacija\data" -c 192_168_104_7 -m 20140 -I 0012692 -M 990001750 -N "VJERA" -S "TES_SES46 PTIČAR" -P
